OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Helpers for manipulating Linux libnuma unsigned long masks

## Functions
static __hwloc_inline int | hwloc_cpuset_to_linux_libnuma_ulongs (hwloc_topology_t topology, hwloc_const_cpuset_t cpuset, unsigned long *mask, unsigned long *maxnode)
| Convert hwloc CPU set `cpuset` into the array of unsigned long `mask`. More...
static __hwloc_inline int | hwloc_nodeset_to_linux_libnuma_ulongs (hwloc_topology_t topology, hwloc_const_nodeset_t nodeset, unsigned long *mask, unsigned long *maxnode)
| Convert hwloc NUMA node set `nodeset` into the array of unsigned long `mask`. More...
static __hwloc_inline int | hwloc_cpuset_from_linux_libnuma_ulongs (hwloc_topology_t topology, hwloc_cpuset_t cpuset, const unsigned long *mask, unsigned long maxnode)
| Convert the array of unsigned long `mask` into hwloc CPU set. More...
static __hwloc_inline int | hwloc_nodeset_from_linux_libnuma_ulongs (hwloc_topology_t topology, hwloc_nodeset_t nodeset, const unsigned long *mask, unsigned long maxnode)
| Convert the array of unsigned long `mask` into hwloc NUMA node set. More...

## Detailed Description

## Function Documentation

static __hwloc_inline int hwloc_cpuset_from_linux_libnuma_ulongs | ( | hwloc_topology_t | topology,
|  | hwloc_cpuset_t | cpuset,
|  | const unsigned long * | mask,
|  | unsigned long | maxnode
| ) |  |
| static

Convert the array of unsigned long `mask` into hwloc CPU set.

`mask` is a array of unsigned long that will be read. `maxnode` contains the maximal node number that may be read in `mask`.

This function may be used after calling get_mempolicy or any other function that takes an array of unsigned long as output parameter (and possibly a maximal node number as input parameter).

References hwloc_obj::cpuset, hwloc_bitmap_copy(), hwloc_bitmap_or(), hwloc_bitmap_zero(), hwloc_get_obj_by_depth(), hwloc_get_type_depth(), HWLOC_OBJ_NODE, hwloc_topology_get_complete_cpuset(), and HWLOC_TYPE_DEPTH_UNKNOWN.

static __hwloc_inline int hwloc_cpuset_to_linux_libnuma_ulongs | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | cpuset,
|  | unsigned long * | mask,
|  | unsigned long * | maxnode
| ) |  |
| static

Convert hwloc CPU set `cpuset` into the array of unsigned long `mask`.

`mask` is the array of unsigned long that will be filled. `maxnode` contains the maximal node number that may be stored in `mask`. `maxnode` will be set to the maximal node number that was found, plus one.

This function may be used before calling set_mempolicy, mbind, migrate_pages or any other function that takes an array of unsigned long and a maximal node number as input parameter.

References hwloc_bitmap_iszero(), hwloc_get_next_obj_covering_cpuset_by_type(), hwloc_get_type_depth(), HWLOC_OBJ_NODE, HWLOC_TYPE_DEPTH_UNKNOWN, and hwloc_obj::os_index.

static __hwloc_inline int hwloc_nodeset_from_linux_libnuma_ulongs | ( | hwloc_topology_t | topology,
|  | hwloc_nodeset_t | nodeset,
|  | const unsigned long * | mask,
|  | unsigned long | maxnode
| ) |  |
| static

Convert the array of unsigned long `mask` into hwloc NUMA node set.

`mask` is a array of unsigned long that will be read. `maxnode` contains the maximal node number that may be read in `mask`.

This function may be used after calling get_mempolicy or any other function that takes an array of unsigned long as output parameter (and possibly a maximal node number as input parameter).

References hwloc_bitmap_fill(), hwloc_bitmap_set(), hwloc_bitmap_zero(), hwloc_get_obj_by_depth(), hwloc_get_type_depth(), HWLOC_OBJ_NODE, HWLOC_TYPE_DEPTH_UNKNOWN, and hwloc_obj::os_index.

static __hwloc_inline int hwloc_nodeset_to_linux_libnuma_ulongs | ( | hwloc_topology_t | topology,
|  | hwloc_const_nodeset_t | nodeset,
|  | unsigned long * | mask,
|  | unsigned long * | maxnode
| ) |  |
| static

Convert hwloc NUMA node set `nodeset` into the array of unsigned long `mask`.

`mask` is the array of unsigned long that will be filled. `maxnode` contains the maximal node number that may be stored in `mask`. `maxnode` will be set to the maximal node number that was found, plus one.

This function may be used before calling set_mempolicy, mbind, migrate_pages or any other function that takes an array of unsigned long and a maximal node number as input parameter.

References hwloc_bitmap_isset(), hwloc_bitmap_iszero(), hwloc_get_next_obj_by_type(), hwloc_get_type_depth(), HWLOC_OBJ_NODE, HWLOC_TYPE_DEPTH_UNKNOWN, and hwloc_obj::os_index.